TwoDToThreeDRequest

Request body for 2D to 3D conversion. At least one front image is required — either as a file upload (frontImage) or as a URL (frontImageUrl). The legacy images field is also accepted for backward compatibility (first entry maps to the front view).

  • backImage
    Type: string

    Back view image file (optional, improves model quality)

  • backImageUrl
    Type: string Format: uri

    Back view image URL (alternative to backImage file upload)

  • frontImage
    Type: string

    Front view image file (required unless frontImageUrl or images is provided)

  • frontImageUrl
    Type: string Format: uri

    Front view image URL (alternative to frontImage file upload)

  • images
    Type: array

    Legacy: array of image files or URLs — first entry maps to the front view

      • Type: string
  • leftImage
    Type: string

    Left view image file (optional, improves model quality)

  • leftImageUrl
    Type: string Format: uri

    Left view image URL (alternative to leftImage file upload)

  • modelFormat
    Type: string enum

    Output 3D model format

    values
    • glb
    • obj
    • usdz
  • modelType
    Type: string enum

    Standard or Premium 3D Model generation. Standard model only supports front and back image, Premium model supports all angles.

    values
    • standard
    • premium
  • rightImage
    Type: string

    Right view image file (optional, improves model quality)

  • rightImageUrl
    Type: string Format: uri

    Right view image URL (alternative to rightImage file upload)

  • tags
    Type: array string[]

    Optional client-supplied tags returned as-is in the response